# mptr_openexr.cpp File Reference

ppm Target Module More...

`#include "mptr_openexr.h"`
`#include <synfig/general.h>`
`#include <synfig/surface.h>`
`#include <ETL/stringf>`
`#include <cstdio>`
`#include <algorithm>`
`#include <functional>`
`#include <ImfArray.h>`
`#include <ImfRgbaFile.h>`
`#include <exception>`

## Functions

| SYNFIG_IMPORTER_INIT (exr_mptr)
| SYNFIG_IMPORTER_SET_NAME (exr_mptr,"openexr")
| SYNFIG_IMPORTER_SET_EXT (exr_mptr,"exr")
| SYNFIG_IMPORTER_SET_VERSION (exr_mptr,"0.1")
| SYNFIG_IMPORTER_SET_CVS_ID (exr_mptr,"$Id$")

## Detailed Description

ppm Target Module

$Id$

=== N O T E S ===========================================================

=========================================================================

## Function Documentation

SYNFIG_IMPORTER_INIT | ( | exr_mptr |  | ) |

SYNFIG_IMPORTER_SET_NAME | ( | exr_mptr | ,
|  | "openexr" |  |
| ) |  |  |

SYNFIG_IMPORTER_SET_EXT | ( | exr_mptr | ,
|  | "exr" |  |
| ) |  |  |

SYNFIG_IMPORTER_SET_VERSION | ( | exr_mptr | ,
|  | "0.1" |  |
| ) |  |  |

SYNFIG_IMPORTER_SET_CVS_ID | ( | exr_mptr | ,
|  | "$Id$" |  |
| ) |  |  |